Edit

OneLake Settings - Modify Default Tier

Modifies the default OneLake storage tier for a workspace.
All files without an explicitly set tier will be moved to the new default tier. You will be billed for any transactions resulting from movement between tiers.

Permissions

The caller must have an admin workspace role.

Required Delegated Scopes

OneLake.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/onelake/settings/modifyDefaultTier?defaultTier={defaultTier}

URI Parameters

Name In Required Type Description
workspaceId
path True

string (uuid)

The workspace ID.

defaultTier
query True

OneLakeAccessTier

The new default access tier for the workspace. Additional access tier values may be added over time.

Responses

Name Type Description
200 OK

ModifyOneLakeWorkspaceDefaultTierResponse

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • UnknownError - An error occurred.

  • EntityNotFound - Workspace not found.

  • InvalidInput - Invalid request input.

  • UserNotAuthorizedForWorkspaceLifecycle - User is not authorized for the workspace.

  • LifecycleNotAllowedForMyWorkspace - Lifecycle settings are not allowed on My Workspace.

Examples

Modify default tier to Cool example
Modify default tier to Hot example

Modify default tier to Cool example

Sample request

POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff227/onelake/settings/modifyDefaultTier?defaultTier=Cool

Sample response

{
  "defaultTier": "Cool"
}

Modify default tier to Hot example

Sample request

POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff227/onelake/settings/modifyDefaultTier?defaultTier=Hot

Sample response

{
  "defaultTier": "Hot"
}

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

ModifyOneLakeWorkspaceDefaultTierResponse

Response for modifying the default OneLake access tier.

OneLakeAccessTier

The OneLake access tier. Additional access tier values may be added over time.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

ModifyOneLakeWorkspaceDefaultTierResponse

Response for modifying the default OneLake access tier.

Name Type Description
defaultTier

OneLakeAccessTier

The new default access tier for the workspace.

OneLakeAccessTier

The OneLake access tier. Additional access tier values may be added over time.

Value Description
Hot

Hot access tier. Highest storage costs and lowest transaction costs.

Cool

Cool access tier. Lower storage costs and higher transaction costs. Minimum 30 days storage.

Cold

Cold access tier. Lowest storage costs and highest transaction costs. Minimum 60 days storage.